package com.goafanti.copyright.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonFormat.Shape;

public class CopyrightContractListBo {
	private String	id;

	private String	uid;

	private String	contractId;

	private Integer	serialNumber;

	private String	copyrightName;

	private Integer	status;

	private Integer	inUrgent;

	private String	principal;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}

	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}

	public Integer getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(Integer serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getCopyrightName() {
		return copyrightName;
	}

	public void setCopyrightName(String copyrightName) {
		this.copyrightName = copyrightName;
	}

	@JsonFormat(shape = Shape.STRING)
	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
	
	@JsonFormat(shape = Shape.STRING)
	public Integer getInUrgent() {
		return inUrgent;
	}

	public void setInUrgent(Integer inUrgent) {
		this.inUrgent = inUrgent;
	}

	public String getPrincipal() {
		return principal;
	}

	public void setPrincipal(String principal) {
		this.principal = principal;
	}

}
